### Function

# Aravis dom_implementation_create_document

#### Declaration [src]

    ArvDomDocument*
    arv_dom_implementation_create_document (
      const char* namespace_uri,
      const char* qualified_name
    )

#### Description [src]

Create a new DOM document. Currently, only `qualified_name` is used.

#### Parameters

`namespace_uri`

  Type: `const char*`

  Namespace URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`qualified_name`

  Type: `const char*`

  Qualified name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ArvDomDocument`

A new `ArvDomDocument`, NULL on error:.

The caller of the function takes ownership of the data, and is responsible for freeing it.